import request from '@/utils/request'

// 获取用户信息
export function getUserInfo(data) {
	return request({
		url: '/api/userinfo',
		method: 'get',
		data
	});
}

// 
export function getUser(data) {
	return request({
		url: '/api/user',
		method: 'get',
		data
	});
}

//用户推荐用户列表
export function spread_se(data,id) {
	return request({
		url: `/api/spread/people/${id}`,
		method: 'get',
		data
	});
}


//用户推荐用户列表
export function spread(data) {
	return request({
		url: `/api/spread/people`,
		method: 'post',
		data
	});
}

// 订单统计信息
export function orderData(data) {
	return request({
		url: '/api/order/data',
		method: 'get',
		data
	});
}



// 用户分享图
export function spreadBanner(data) {
	return request({
		url: '/api/spread/banner',
		method: 'get',
		data
	});
}

// 获取地址列表
export function getAddressList(data) {
	return request({
		url: '/api/address/list',
		method: 'get',
		data
	});
}
// 修改地址
export function addressEdit(data) {
	return request({
		url: '/api/address/edit',
		method: 'post',
		data
	});
}
// 删除地址
export function addressDel(data) {
	return request({
		url: '/api/address/del',
		method: 'post',
		data
	});
}
// 设为默认地址
export function setAddressDefault(data) {
	return request({
		url: '/api/address/default/set',
		method: 'post',
		data
	});
}
// 购物车列表
export function getCartList(data) {
	return request({
		url: '/api/cart/list',
		method: 'get',
		data
	});
}

// 修改购物车数量
export function getCartNum(data) {
	return request({
		url: '/api/cart/num',
		method: 'post',
		data
	});
}
//删除购物车
export function cartDel(data) {
	return request({
		url: '/api/cart/del',
		method: 'post',
		data
	});
}
//获取收藏夹列表
export function getcollectList(data) {
	return request({
		url: '/api/collect/user',
		method: 'get',
		data
	});
}
// 取消收藏
export function delcollect(data) {
	return request({
		url: '/api/collect/del',
		method: 'post',
		data
	});
}


//http://hmd.frp.liuniu946.com/api/brokerage/list?page=1&limit=10&pm=1
export function getCommissionInfo(data) {
	return request({
		url: '/api/brokerage/list',
		method: 'get',
		data
	});
}

//我的推广
export function myspread(data) {
	return request({
		url: '/api/spread/people',
		method: 'POST',
		data
	});
}


//
export function sqdl(data) {
	return request({
		url: '/api/user/apply',
		method: 'POST',
		data
	});
}

export function details(data, id) {
	return request({
		url: '/api/article/details/' + id,
		method: 'get',
		data
	});
}

export function yjzye(data) {
	return request({
		url: '/api/user/transformation',
		method: 'post',
		data
	})
}

export function jfzz(data) {
	return request({
		url: '/api/brokeragePriceTransfer',
		method: 'post',
		data
	})
}

export function getLevelList(data) {
	// api/give_level_list
	return request({
		url: '/api/give_level_list',
		method: 'get',
		data
	})
}